connect Administrador/a12345

CREATE OR REPLACE
PACKAGE PR_CON_PLUS IS


/* --------------------------------------------- Procediments de consulta addicionals
*/

/* Donat un DNI o NIF de client i un any concret el concum per mesos d'aquest client i any
*/

PROCEDURE pr_con_client_any
	(t_DNI_NIF IN CLIENTS.DNI_NIF%TYPE,
	t_any IN NUMBER);


/* Relaci del 10 mesos de ms consum dels ltims 5 anys
*/

PROCEDURE pr_con_consum_5_any;

/* Crrega mensual donada una lnia i un any
*/

PROCEDURE pr_con_carrega_linies_any
	( t_linia IN HISTORIC_CARREGA_LINIA_MES.linia%TYPE,
        t_any IN HISTORIC_CARREGA_LINIA_MES.anyhis%TYPE);

/* Producci mensual donada una central i un any
*/
PROCEDURE pr_con_produccio_central_any
	( t_central IN CENTRALS_PRODUCCIO.nom%TYPE,
        t_any IN HISTORIC_PRODUIDA_MES.anyhis%TYPE);


/* Donat un any quota de mercat de les companyies distribuidores
*/
PROCEDURE pr_quota_mercat_companyia
          (t_any IN HISTORIC_PRODUIDA_MES.anyhis%TYPE);


END;
/
disconnect;